---
lang: en
title: 'API docs: filter.inclusion'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.inclusion.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [Inclusion](./filter.inclusion.md)

## Inclusion interface

Inclusion of related items

Note: scope means filter on related items

Example: `{relation: 'aRelationName', scope: {<AFilterObject>}}`

**Signature:**

```typescript
export interface Inclusion 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[relation](./filter.inclusion.relation.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[scope?](./filter.inclusion.scope.md)


</td><td>


</td><td>

[Filter](./filter.filter.md)<!-- -->&lt;AnyObject&gt; &amp; { totalLimit?: number; }


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[targetType?](./filter.inclusion.targettype.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
</tbody></table>

